#include <xc.h>     // XC8 compilateur
#include <stdint.h>
#include <stdio.h>     // uint8_t dfinitions
#include <stdlib.h>

#include "system.h"
#include "fonctions.h"
#include "MCP23S08.h"

void MCP23S08_Init (void)
{
    CS = 0;
    SPI_Write (MCP23S08_ADR_W);
    SPI_Write (_IODIR);
    SPI_Write (0xFE);       
    CS = 1;
    delayMs(100);
    CS = 0;
    SPI_Write (MCP23S08_ADR_W);
    SPI_Write (_GPPU);
    SPI_Write (0xFF);         
    CS = 1;
}

void MCP23S08_Write (uint8_t data)
{
    CS = 0;
    SPI_Write (MCP23S08_ADR_W);
    SPI_Write (_OLAT);
    SPI_Write (data);
    CS = 1;
}

uint8_t MCP23S08_Read (void)
{
uint8_t data;

    CS = 0;
    SPI_Write (MCP23S08_ADR_R);
    SPI_Write (_GPIO);
    data = SPI_Read ();
    CS = 1;
    return data;
}
