/* 
 * File:   MCP23S08.h
 * Author: fgiamarch
 *
 * Created on 31 octobre 2017, 16:25
 */

#ifndef MCP23S08_H
#define	MCP23S08_H

#define MCP23S08_ADR_W 0x40     // Adresse SPI Write
#define MCP23S08_ADR_R 0x41     // Adresse SPI Read

// MCP23008 REGISTERS
#define _IODIR      0x00        // Direction register
#define _IPOL       0x01
#define _GPINTEN    0x02
#define _DEFVAL     0x03
#define _INTCON     0x04
#define _IOCON      0x05
#define _GPPU       0x06        // PullUp resistor
#define _INTF       0x07
#define _INTCAP     0x08
#define _GPIO       0x09        // Input/Output register
#define _OLAT       0x0A

void MCP23S08_Init (void);
void MCP23S08_Write (uint8_t data);
uint8_t MCP23S08_Read (void);

#endif	/* MCP23S08_H */

